POST /api/v3/dynamiclist/{listTypeId}

Get the definition and data for a list type

GetDynamicListWithDataV3 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
listTypeId The list type for which the definition and data are to be retrieved integer (int32) Required

Query Parameters

Name Description Type Required
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Request Body

DynamicListRequest
Property Description Type
filters Filters to apply to the dynamic list when initializing it Cannot be Empty QuickFilter[]
QuickFilter properties
Property Description Type
caption Required string
operator Required string
value Required string
resetColumns Flag indicating whether or not to initialize the dynamic list column definitions boolean
Example Request Body application/json
{  "filters": [
    {    "caption": "string",    "operator": "string",    "value": "string"
  }
  ],  "resetColumns": false
}

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ListResponse
Property Description Type
data Data for the bill list array[]
field Definition of the bill list - available filters and columns ListResponse+ListField[]
ListResponse+ListField properties
Property Description Type
caption Caption for the column/filter string
dataTypeCode Type of Data in this column string
displayOrder Order of the column integer (int32)
fieldId Column/Filter Identifier integer (int32)
requiredOutput Is this column a required column? boolean
sortDirection Sort direction “asc” or “desc” string
sortOrder Sort order for the column integer (int32)
sortable Is the column sortable? boolean
visible Is this column currently visible? boolean
width Width of the column integer (int32)
listId Specific List Identifier integer (int32)
meta

Meta data about the list Can contain:

TotalCount - Total number of items that match the filter TotalCost - Total Cost of all the items that match the filter costUnitInfo - The currency unit ErrorMessage - Indicates data fetch error.

object
Example Response application/json
{  "data": [
    [
    {      "fieldId": 1,      "name": "string",      "value": {}
    }
  ]
  ],  "field": [
    {    "caption": "string",    "dataTypeCode": "string",    "displayOrder": 1,    "fieldId": 1,    "requiredOutput": false,    "sortDirection": "string",    "sortOrder": 1,    "sortable": false,    "visible": false,    "width": 1
  }
  ],  "listId": 1,  "meta": {}
}